ATA_SCSI_RBUF_PUT(9)

NAME
ata_scsi_rbuf_put - Unmap response buffer.

SYNOPSIS

void ata_scsi_rbuf_put(struct scsi_cmnd * cmd, bool copy_out, unsigned long * flags);

ARGUMENTS

cmd
    SCSI command containing buffer to be unmapped.

copy_out
    copy out result

flags
    flags passed to ata_scsi_rbuf_get

DESCRIPTION

Returns rbuf buffer. The result is copied to cmd's buffer if copy_back is true.

LOCKING

Unlocks ata_scsi_rbuf_lock.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT